Loading...
Searching...
No Matches
Pose3.h File Reference

3D Pose More...

Go to the source code of this file.

## Classes

class | gtsam::Pose3
| A 3D pose (R,t) : (Rot3,Point3). More...
struct | gtsam::Pose3::ChartAtOrigin
struct | gtsam::traits< Pose3 >
struct | gtsam::traits< const Pose3 >
struct | gtsam::Bearing< Pose3, Point3 >
struct | gtsam::Bearing< Pose3, Pose3 >
struct | gtsam::Range< Pose3, T >

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

using | gtsam::Pose3Pair = std::pair<Pose3, Pose3>
using | gtsam::Pose3Pairs = std::vector<std::pair<Pose3, Pose3> >
typedef std::vector< Pose3 > | gtsam::Pose3Vector

## Functions

template<>
Matrix | gtsam::wedge< Pose3 > (const Vector &xi)
| wedge for Pose3:

## Detailed Description

3D Pose